Subject: RE: [Rserpool] PEER_ERROR message

From: Johnson Walter-CWJ002 <[email-masked]>
Date: Tue, 12 Oct 2004 09:17:10 -0500

Comments inline.

Thomas Dreibholz <mailto:[email-masked]> wrote:
> -----BEGIN PGP SIGNED MESSAGE-----
> Hash: SHA1
> 
> On Monday 11 October 2004 22:46, Johnson Walter-CWJ002 wrote:
>> Any reference to the PEER_ERROR message should be removed from the
>> ASAP protocol document since I believe it is not an ASAP message.
> 
> It is useful to have this message type in ASAP, because e.g. a
> component (NS, PE or PU) could receive a bad message via ASAP. Then,
> it can report the sender that it does not understand/accept this
> message via a PEER_ERROR. This is useful for debugging.
> 

I understand this could be case but there has not been a procedure for its use defined within the ASAP document unlike there has been for ENRP (section 4.12). This fact combined with the fact the message is prefaced with PEER_* which is typical of all ENRP messages indicated to me this message may have been misplaced. If the group agrees to keep this message then I would lobby for a new section explaining its use within the ASAP document. 

> To make ASAP and ENRP PEER_ERROR more consistent, their definitions
> and especially the message type number (currently: 0x0e or ASAP, 0x0b
> for ENRP) could be unified. For example, the message number could be
> 0xff for both. 
> 

One could lobby for aligning the PEER_ERROR messages or one could lobby for two unique message PEER_ERROR for ENRP and ASAP_ERROR for ASAP since the protocols are unique and they signal two unique cases. In addition, if different parameters are required then I would think the messages should be unique. 

What is everyone's opinion? 

_______________________________________________
rserpool mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/rserpool